Package org.eclipse.m2m.atl.adt.debug.ui

# Class AtlBreakpointAdapterFactory

java.lang.Object
org.eclipse.m2m.atl.adt.debug.ui.AtlBreakpointAdapterFactory

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdapterFactory`

public class AtlBreakpointAdapterFactory extends Object implements org.eclipse.core.runtime.IAdapterFactory
Creates a toggle breakpoint adapter factory. This factory is used to create a new ATL breakpoint.

## Field Summary

### Fields inherited from interface org.eclipse.core.runtime.IAdapterFactory

`SERVICE_PROPERTY_ADAPTABLE_CLASS, SERVICE_PROPERTY_ADAPTER_NAMES`

## Constructor Summary

Constructors
Constructor
Description
`AtlBreakpointAdapterFactory()`

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`getAdapter(Object adaptableObject, Class<T> adapterType)`
`Class<?>[]`
`getAdapterList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlBreakpointAdapterFactory

public AtlBreakpointAdapterFactory()

## Method Details

### getAdapter

public <T> T getAdapter(Object adaptableObject, Class<T> adapterType)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`
See Also:
  - `IAdapterFactory.getAdapter(java.lang.Object, java.lang.Class)`

### getAdapterList

public Class<?>[] getAdapterList()

Specified by:
  `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
See Also:
  - `IAdapterFactory.getAdapterList()`